<?php
$fn = "gaestebuch.csv";

echo "Dateigröße: " . filesize($fn) . "<br>";
echo "Datei lesbar: " . is_readable($fn) . "<br>";
echo "Datei schreibbar: " . is_writable($fn) . "<br>";
echo "Dateityp: " . filetype($fn) . "<br>";
echo "Verzeichnis: " . is_dir($fn) . "<br>";

?>